Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.util
Class PluginReactionSymbolType

    java.lang.Object
      jp.sbi.celldesigner.plugin.util.PluginReactionSymbolType

    public class PluginReactionSymbolType

extends java.lang.Object

This class defines ReactionType for PluginReaction.

Author:

Field Summary
`static java.lang.String` | `ADD_PRODUCT` ADD_PRODUCT
`static java.lang.String` | `ADD_REACTANT` ADD_REACTANT
`static java.lang.String` | `BOOLEAN_LOGIC_GATE_AND` BOOLEAN_LOGIC_GATE_AND
`static java.lang.String` | `BOOLEAN_LOGIC_GATE_NOT`
`static java.lang.String` | `BOOLEAN_LOGIC_GATE_OR` BOOLEAN_LOGIC_GATE_OR
`static java.lang.String` | `BOOLEAN_LOGIC_GATE_UNKNOWN` BOOLEAN_LOGIC_GATE_UNKNOWN
`static java.lang.String` | `CATALYSIS` CATALYSIS
`static java.lang.String` | `DEGRADATION` DEGRADATION
`static java.lang.String` | `DISSOCIATION` DISSOCIATION
`static java.lang.String` | `HETERODIMER_ASSOCIATION` HETERODIMER_ASSOCIATION
`static java.lang.String` | `HOMODIMER_FORMATION` HOMODIMER_FORMATION
`static java.lang.String` | `INHIBITION` INHIBITION
`static java.lang.String` | `KNOWN_TRANSITION_OMITTED` KNOWN_TRANSITION_OMITTED
`static java.lang.String` | `MODULATION`
`static java.lang.String` | `NEGATIVE_INFLUENCE`
`static java.lang.String` | `PHYSICAL_STIMULATION`
`static java.lang.String` | `POSITIVE_INFLUENCE`
`static java.lang.String` | `REDUCED_MODULATION`
`static java.lang.String` | `REDUCED_PHYSICAL_STIMULATION`
`static java.lang.String` | `REDUCED_TRIGGER`
`static java.lang.String` | `STATE_TRANSITION` STATE_TRANSITION
`static java.lang.String` | `TRANSCRIPTION` TRANSCRIPTION
`static java.lang.String` | `TRANSLATION` TRANSLATION
`static java.lang.String` | `TRANSPORT` TRANSPORT
`static java.lang.String` | `TRIGGER`
`static java.lang.String` | `TRUNCATION` TRUNCATION
`static java.lang.String` | `UNKNOWN_CATALYSIS` UNKNOWN_CATALYSIS
`static java.lang.String` | `UNKNOWN_INHIBITION` UNKNOWN_INHIBITION
`static java.lang.String` | `UNKNOWN_NEGATIVE_INFLUENCE`
`static java.lang.String` | `UNKNOWN_POSITIVE_INFLUENCE`
`static java.lang.String` | `UNKNOWN_REDUCED_MODULATION`
`static java.lang.String` | `UNKNOWN_REDUCED_PHYSICAL_STIMULATION`
`static java.lang.String` | `UNKNOWN_REDUCED_TRIGGER`
`static java.lang.String` | `UNKNOWN_TRANSITION` UNKNOWN_TRANSITION

Constructor Summary
`PluginReactionSymbolType()`

Method Summary
`static boolean` | `isValidModifierType(PluginSimpleSpeciesReference sp)`
`static boolean` | `isValidReaction(PluginReaction re)`
`static boolean` | `isValidReactionType(PluginReaction sp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_TRANSITION

    public static final java.lang.String STATE_TRANSITION

  STATE_TRANSITION

  See Also:
    Constant Field Values

### KNOWN_TRANSITION_OMITTED

    public static final java.lang.String KNOWN_TRANSITION_OMITTED

  KNOWN_TRANSITION_OMITTED

  See Also:
    Constant Field Values

### UNKNOWN_TRANSITION

    public static final java.lang.String UNKNOWN_TRANSITION

  UNKNOWN_TRANSITION

  See Also:
    Constant Field Values

### CATALYSIS

    public static final java.lang.String CATALYSIS

  CATALYSIS

  See Also:
    Constant Field Values

### UNKNOWN_CATALYSIS

    public static final java.lang.String UNKNOWN_CATALYSIS

  UNKNOWN_CATALYSIS

  See Also:
    Constant Field Values

### INHIBITION

    public static final java.lang.String INHIBITION

  INHIBITION

  See Also:
    Constant Field Values

### UNKNOWN_INHIBITION

    public static final java.lang.String UNKNOWN_INHIBITION

  UNKNOWN_INHIBITION

  See Also:
    Constant Field Values

### TRANSPORT

    public static final java.lang.String TRANSPORT

  TRANSPORT

  See Also:
    Constant Field Values

### TRANSCRIPTION

    public static final java.lang.String TRANSCRIPTION

  TRANSCRIPTION

  See Also:
    Constant Field Values

### TRANSLATION

    public static final java.lang.String TRANSLATION

  TRANSLATION

  See Also:
    Constant Field Values

### ADD_REACTANT

    public static final java.lang.String ADD_REACTANT

  ADD_REACTANT

  See Also:
    Constant Field Values

### ADD_PRODUCT

    public static final java.lang.String ADD_PRODUCT

  ADD_PRODUCT

  See Also:
    Constant Field Values

### HETERODIMER_ASSOCIATION

    public static final java.lang.String HETERODIMER_ASSOCIATION

  HETERODIMER_ASSOCIATION

  See Also:
    Constant Field Values

### DISSOCIATION

    public static final java.lang.String DISSOCIATION

  DISSOCIATION

  See Also:
    Constant Field Values

### TRUNCATION

    public static final java.lang.String TRUNCATION

  TRUNCATION

  See Also:
    Constant Field Values

### HOMODIMER_FORMATION

    public static final java.lang.String HOMODIMER_FORMATION

  HOMODIMER_FORMATION

  See Also:
    Constant Field Values

### DEGRADATION

    public static final java.lang.String DEGRADATION

  DEGRADATION

  See Also:
    Constant Field Values

### BOOLEAN_LOGIC_GATE_AND

    public static final java.lang.String BOOLEAN_LOGIC_GATE_AND

  BOOLEAN_LOGIC_GATE_AND

  See Also:
    Constant Field Values

### BOOLEAN_LOGIC_GATE_OR

    public static final java.lang.String BOOLEAN_LOGIC_GATE_OR

  BOOLEAN_LOGIC_GATE_OR

  See Also:
    Constant Field Values

### BOOLEAN_LOGIC_GATE_UNKNOWN

    public static final java.lang.String BOOLEAN_LOGIC_GATE_UNKNOWN

  BOOLEAN_LOGIC_GATE_UNKNOWN

  See Also:
    Constant Field Values

### BOOLEAN_LOGIC_GATE_NOT

    public static final java.lang.String BOOLEAN_LOGIC_GATE_NOT

See Also:
  Constant Field Values

### TRIGGER

    public static final java.lang.String TRIGGER

See Also:
  Constant Field Values

### PHYSICAL_STIMULATION

    public static final java.lang.String PHYSICAL_STIMULATION

See Also:
  Constant Field Values

### MODULATION

    public static final java.lang.String MODULATION

See Also:
  Constant Field Values

### NEGATIVE_INFLUENCE

    public static final java.lang.String NEGATIVE_INFLUENCE

See Also:
  Constant Field Values

### POSITIVE_INFLUENCE

    public static final java.lang.String POSITIVE_INFLUENCE

See Also:
  Constant Field Values

### REDUCED_MODULATION

    public static final java.lang.String REDUCED_MODULATION

See Also:
  Constant Field Values

### REDUCED_PHYSICAL_STIMULATION

    public static final java.lang.String REDUCED_PHYSICAL_STIMULATION

See Also:
  Constant Field Values

### REDUCED_TRIGGER

    public static final java.lang.String REDUCED_TRIGGER

See Also:
  Constant Field Values

### UNKNOWN_NEGATIVE_INFLUENCE

    public static final java.lang.String UNKNOWN_NEGATIVE_INFLUENCE

See Also:
  Constant Field Values

### UNKNOWN_POSITIVE_INFLUENCE

    public static final java.lang.String UNKNOWN_POSITIVE_INFLUENCE

See Also:
  Constant Field Values

### UNKNOWN_REDUCED_MODULATION

    public static final java.lang.String UNKNOWN_REDUCED_MODULATION

See Also:
  Constant Field Values

### UNKNOWN_REDUCED_PHYSICAL_STIMULATION

    public static final java.lang.String UNKNOWN_REDUCED_PHYSICAL_STIMULATION

See Also:
  Constant Field Values

### UNKNOWN_REDUCED_TRIGGER

    public static final java.lang.String UNKNOWN_REDUCED_TRIGGER

See Also:
  Constant Field Values

Constructor Detail

### PluginReactionSymbolType

    public PluginReactionSymbolType()

Method Detail

### isValidReaction

    public static boolean isValidReaction(PluginReaction re)

  Parameters:
    `re` - PluginReaction
  Returns:
    true if isValidReactionType is true, and the number of reactants and products is valid, false otherwise. The valid number is the following:
    For HETERODIMER_ASSOCIATION reactants>=2 and products>=1
    For DISSOCIATION and TRUNCATION reactants>=1 and products>=2
    For the other types reactants>=1 and products>=1

### isValidModifierType

    public static boolean isValidModifierType(PluginSimpleSpeciesReference sp)

  Parameters:
    `sp` - PluginSimpleSpeciesReference
  Returns:
    true if the modification type of the given PluginSpeciesReference is the one of the following fields of this PluginReactionSymbolType: CATALYSIS, INHIBITION, KNOWN_TRANSITION_OMITTED, STATE_TRANSITION, RANSCRIPTIONAL_ACTIVATION, RANSCRIPTIONAL_INHIBITION, TRANSLATIONAL_ACTIVATION, RANSLATIONAL_INHIBITION, TRANSPORT, UNKNOWN_CATALYSIS, UNKNOWN_INHIBITION and UNKNOWN_TRANSITION, BOOLEAN_LOGIC_GATE_AND, BOOLEAN_LOGIC_GATE_OR, BOOLEAN_LOGIC_GATE_UNKNOWN NEGATIVE_INFLUENCE, POSITIVE_INFLUENCE, REDUCED_MODULATION, REDUCED_PHYSICAL_STIMULATION, REDUCED_TRIGGER, UNKNOWN_NEGATIVE_INFLUENCE, UNKNOWN_POSITIVE_INFLUENCE, UNKNOWN_REDUCED_MODULATION, UNKNOWN_REDUCED_PHYSICAL_STIMULATION, UNKNOWN_REDUCED_TRIGGER false otherwise.

### isValidReactionType

    public static boolean isValidReactionType(PluginReaction sp)

  Parameters:
    `sp` - PluginReaction
  Returns:
    true if the reaction type of the given PluginReaction is the one of the following fields of the PluginReactionSymbolType: CATALYSIS, DEGRADATION, DISSOCIATION, HETERODIMER_ASSOCIATION, HOMODIMER_FORMATION, HOMODIMER_FORMATION, INHIBITION, KNOWN_TRANSITION_OMITTED, STATE_TRANSITION, RANSCRIPTIONAL_ACTIVATION, TRANSCRIPTIONAL_INHIBITION, TRANSLATIONAL_ACTIVATION, TRANSLATIONAL_INHIBITION, TRANSPORT, TRUNCATION, UNKNOWN_CATALYSIS, UNKNOWN_INHIBITION and UNKNOWN_TRANSITION, NEGATIVE_INFLUENCE, POSITIVE_INFLUENCE, REDUCED_MODULATION, REDUCED_PHYSICAL_STIMULATION, REDUCED_TRIGGER, UNKNOWN_NEGATIVE_INFLUENCE, UNKNOWN_POSITIVE_INFLUENCE, UNKNOWN_REDUCED_MODULATION, UNKNOWN_REDUCED_PHYSICAL_STIMULATION, UNKNOWN_REDUCED_TRIGGER , or the reaction type is PHYSICAL_STIMULATION and PHENOTYPE isn't the reactant but the product, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD